<form *ngIf="formUser" [formGroup]="formUser" (ngSubmit)="onNoClick()">
    <h2>{{data?._id ? 'Edit employee' : 'Create employee'}}</h2>
    <div class="panel">
        <mat-form-field class="full-width-input">
            <input matInput placeholder="Employee first name" formControlName="firstName" required>
          </mat-form-field>
    </div>
    <div class="panel">
        <mat-form-field class="full-width-input">
            <input matInput placeholder="Employee first name" formControlName="lastName" required>
          </mat-form-field>
    </div>

    <ng-template [ngIf]="data?._id">
        <div class="panel">
            <mat-form-field style="width: 100%; padding: 0;" appearance="fill">
                <mat-label>Choose company</mat-label>
                <mat-select formControlName="companyId">
                  <mat-option *ngFor="let item of companies" [value]="item._id">
                    {{item.name}}
                  </mat-option>
                </mat-select>
              </mat-form-field>
        </div>
    </ng-template>
    

    <ng-template [ngIf]="!data?._id">
        <div class="panel">
            <mat-form-field class="full-width-input">
                <input matInput placeholder="Employee email" formControlName="email" required>
              </mat-form-field>
        </div>
        <div class="panel">
            <mat-form-field class="full-width-input">
                <input type="password" matInput placeholder="Employee password" formControlName="password" required>
              </mat-form-field>
        </div>

    </ng-template>

    <div class="panel">
        <button mat-raised-button color="primary">Save</button>
    </div>
</form>